<article *ngIf="member" class="profile-container">
  <div class="info-short">
    <h1>{{member.name}}'s Profile</h1>
    <div class="photo-wrapper">
      <img src="{{member.profilePhotoUrl || './assets/user.png'}}" alt="{{member.name}}'s photo">
    </div>
    <h3>{{member.name}} {{member.surname}}</h3>
    <div>
      <p><strong>Age:</strong> {{member.age}}</p>
      <p><strong>Email:</strong> {{member.email}}</p>
      <p><strong>Phone:</strong> {{member.phone}}</p>
      <p><strong>City:</strong> {{member.city}}</p>
      <p><strong>Country:</strong> {{member.country}}</p>
    </div>
    <button [disabled]="!editForm.dirty" form="editForm" class="save-button">Save Changes</button>
  </div>
  <div class="info-detailed">
    <div class="pending-changes-alert" *ngIf="editForm.dirty">
      Attention! You have made changes to your profile. Any unsaved changes will be lost.
    </div>
    <h3>Edit my profile:</h3>
    <form #editForm="ngForm" id="editForm" (ngSubmit)="updateMember()">
      <mat-form-field appearance="fill" class="full-width">
        <mat-label>About Myself</mat-label>
        <textarea matInput [(ngModel)]="member.aboutSelf" name="aboutSelf"></textarea>
      </mat-form-field>
      <table class="full-width">
        <tr>
          <td>
            <mat-form-field class="full-width" appearance="fill">
              <mat-label>City</mat-label>
              <input matInput [(ngModel)]="member.city" type="text" name="city">
            </mat-form-field>
          </td>
          <td>
            <mat-form-field class="full-width" appearance="fill">
              <mat-label>Country</mat-label>
              <input matInput [(ngModel)]="member.country" type="text" name="country">
            </mat-form-field>
          </td>
        </tr>
      </table>
    </form>
  </div>
</article>
